| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::APKFileSystemArchiveFactory Class Reference
Core » Resources

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::APKFileSystemArchiveFactory:
[legend]

## Public Member Functions
| APKFileSystemArchiveFactory (AAssetManager *assetMgr)
virtual | ~APKFileSystemArchiveFactory ()
virtual Archive * | createInstance (const String &name)
| Creates a new object. More...
Archive * | createInstance (const String &name, bool readOnly)
| Creates a new object. More...
void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory. More...
const String & | getType (void) const
| Returns the factory type. More...

## Constructor & Destructor Documentation

## ◆ APKFileSystemArchiveFactory()

Ogre::APKFileSystemArchiveFactory::APKFileSystemArchiveFactory | ( | AAssetManager * | assetMgr | ) |
| inline

## ◆ ~APKFileSystemArchiveFactory()

virtual Ogre::APKFileSystemArchiveFactory::~APKFileSystemArchiveFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getType()

const String& Ogre::APKFileSystemArchiveFactory::getType | ( | void |  | ) | const
| virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

## ◆ createInstance() [1/2]

Archive* Ogre::APKFileSystemArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly
| ) |  |
| virtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

## ◆ destroyInstance()

void Ogre::APKFileSystemArchiveFactory::destroyInstance | ( | Archive * | ptr | ) |
| inline virtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

References OGRE_DELETE.

## ◆ createInstance() [2/2]

virtual Archive* Ogre::ArchiveFactory::createInstance | ( | const String & | name | ) |
| inline virtual inherited

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

Referenced by Ogre::ArchiveFactory::createInstance().

The documentation for this class was generated from the following file:

- OgreFileSystem.h